'**************************************************************************************************
'**************************************************************************************************
'**This sets the homeDrive and homeDirectory to null for all users in the specified OU (ldapPath)												 
'**	Modify as needed.																			 
'**Joshua Heinreich  joshua.r.heinreich@us.army.mil, (706)-577-4660								
'**************************************************************************************************
'**************************************************************************************************


'Set the variables
ldapPath = "ou=Users,ou=Warm Springs,dc=Shadow-Wake,dc=Net"



'****************Main Engine (Don't touch unless you know what you are doing)**********************
wscript.echo "RELEASE THE KRAKEN!"

'set neccesary stuff for active directory manipulation
Const ADS_SCOPE_SUBTREE = 2

Set objConnection = CreateObject("ADODB.Connection")
Set objCommand = CreateObject("ADODB.Command")
objConnection.Provider = "ADsDSOObject"
objConnection.Open "Active Directory Provider"
Set objCommand.ActiveConnection = objConnection

'set properties of the command 
objCommand.Properties("Page Size") = 1000
objCommand.Properties("Searchscope") = ADS_SCOPE_SUBTREE

'set the SQL command
objCommand.CommandText = "SELECT AdsPath FROM 'LDAP://"&ldapPath&"' WHERE objectCategory = 'user'"
Set objRecordSet = objCommand.Execute


'begin navigation of compiled list of users in the OU
Const ADS_PROPERTY_CLEAR = 1 

objRecordSet.MoveFirst
Do Until objRecordSet.EOF 	'goes into a loop till end of file message is reached
	Set objUser = GetObject(objRecordSet.Fields("AdsPath").Value)

		objUser.PutEx ADS_PROPERTY_CLEAR, "homeDrive", 0	'Sets the homedrive value to null
		objUser.PutEx ADS_PROPERTY_CLEAR, "homeDirectory", 0	'sets the homeDirectory path to null
		objUser.SetInfo						'updates the changes to ADUC
								
		
	objRecordSet.MoveNext		' moves on to the next record of the recordset
Loop

wscript.echo "All homeDrive values have been Decimated."
wscript.quit